'use strict';

var gulp = require('gulp');
var bump = require('gulp-bump');
var octo = require('@octopusdeploy/gulp-octo');

gulp.task('app', function() {
  return gulp.src(['./app'])
      .pipe(gulp.dest('./app'));
});

gulp.task('build', ['app',]);

gulp.task('default', ['app'], function() {
  gulp.watch('./app', ['app']);
});

gulp.task('bump', function(){
  return gulp.src('./package.json')
      .pipe(bump({type: 'patch'}))
      .pipe(gulp.dest('./'));
});

gulp.task('publish', ['bump', 'build'], function () {
  return gulp.src(['**/UI/*', '!bin{,/**}', '!src{,/**}', '!gulpfile.js'])
      .pipe(octo.pack())
      .pipe(octo.push({apiKey: 'API-ZGFUISW3I2P3MMJPDPJ2S2EOJW', host: 'https://deploy.library.abb.com'}));
});